function Obj = loadobjects(filename)
    % LOADOBJECTS Load the Objects in MAT-file named `filename`
    %   This properly loads the objects that were saved as a stucture in a MAT-File.

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2024 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    dummyStruct = load(filename);
    Obj = dummyStruct.Objects;
end
