# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog][keep_chglog], and this project adheres
to [Semantic Versioning][sem_ver].

## [Unreleased]

_OOP major refactoring_

### Added

- **Data**: add campaign 2 (Q3 2023) raw data

### Changed

- Allow processing of multiple files at once
- Refactor everything with OOP

### Deprecated

### Removed

### Fixed

## [0.0.1] - 2023-07-11

- **Data**: move data to its own subir
- **Loader**: automate line counting
- **Plots**: improve figure clarity a bit

## [0.0.0] - 2022-12-15

_Initial version_

- Process wind tunnel data and Arduino data for each test case
- Synchronize data sources
- Clean up noise
- Account for calibration and inertia effects
- Plot results

[sem_ver]:<https://semver.org/spec/v2.0.0.html>
[keep_chglog]: <https://keepachangelog.com/en/1.0.0/>

[Unreleased]: https://gitlab.uliege.be/rotare/rotare/compare/v0.0.1...main
[0.0.1]: https://gitlab.uliege.be/mecharaptor/data-processing/compare/v0.0.0...v0.0.1
[0.0.0]: https://gitlab.uliege.be/mecharaptor/data-processing/-/releases/v0.0.0
